Skip to main content
POST
/
v1
/
warranties
/
:id
/
transfer
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "new_owner_id": "usr_789xyz",
    "new_owner_email": "newowner@example.com",
    "transfer_date": "2024-01-15"
}'
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "transferred": true,
  "previous_owner_id": "usr_123abc",
  "new_owner_id": "usr_789xyz",
  "new_owner_email": "newowner@example.com",
  "transfer_date": "2024-01-15"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

warranty_id
string
The ID provided in the data tab may be used to identify the warranty
new_owner_id
string
The ID of the new owner
new_owner_email
string
The email address of the new owner
transfer_date
string
The date of the warranty transfer

Response

id
string
The ID provided in the data tab may be used to identify the warranty
object
string
The object type
previous_owner_id
string
The ID of the previous owner
new_owner_id
string
The ID of the new owner
transfer_date
string
The date when the warranty was transferred
success
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "new_owner_id": "usr_789xyz",
    "new_owner_email": "newowner@example.com",
    "transfer_date": "2024-01-15"
}'
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "transferred": true,
  "previous_owner_id": "usr_123abc",
  "new_owner_id": "usr_789xyz",
  "new_owner_email": "newowner@example.com",
  "transfer_date": "2024-01-15"
}